# Create Payment Order

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/payment/create`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>account_no<mark style="color:red;">*</mark></td><td>string</td><td>Account Number</td></tr><tr><td>order_no<mark style="color:red;">*</mark></td><td>string</td><td>Order Number</td></tr><tr><td>payment_currency<mark style="color:red;">*</mark></td><td>string</td><td>Payment Currency</td></tr><tr><td>payment_amount<mark style="color:red;">*</mark></td><td>string</td><td>Payment Amount</td></tr><tr><td>swift_fee_type</td><td>string</td><td><p>Payment Charges Setting value (only applicable to Swift payments). If this is left empty, the account's default value is used. Do not specify for  local payments.</p><p>Enum:</p><p>      SHA </p><p>      OUR</p></td></tr><tr><td>reference</td><td>string</td><td>Reference</td></tr><tr><td>beneficiary_id<mark style="color:red;">*</mark></td><td>long</td><td>Beneficiary ID</td></tr></tbody></table>

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{
    },
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name                                                | Type    | Description                                                                                                                                                                                   |
| --------------------------------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| order\_id<mark style="color:red;">\*</mark>         | long    | Order ID                                                                                                                                                                                      |
| merchant\_id<mark style="color:red;">\*</mark>      | long    | Merchant ID                                                                                                                                                                                   |
| account\_no<mark style="color:red;">\*</mark>       | string  | Account Number                                                                                                                                                                                |
| transaction\_id                                     | long    | Transaction ID                                                                                                                                                                                |
| order\_no<mark style="color:red;">\*</mark>         | string  | Order Number                                                                                                                                                                                  |
| order\_status<mark style="color:red;">\*</mark>     | integer | <p>Order Status</p><p>Refer to <a href="/pages/SQgzx3g9EUhBdeJLOk4p">Order Status</a></p>                                                                                                     |
| audit\_status<mark style="color:red;">\*</mark>     | integer | <p>Audit Status</p><p><code>1-reviewing</code> </p><p><code>2-approved</code> </p><p><code>11-rejected</code> </p><p><code>7-to be linked</code></p><p><code>15-to be supplemented</code></p> |
| bank\_country<mark style="color:red;">\*</mark>     | string  | Bank Country                                                                                                                                                                                  |
| payment\_currency<mark style="color:red;">\*</mark> | string  | Payment Currency                                                                                                                                                                              |
| payment\_amount<mark style="color:red;">\*</mark>   | string  | Payment Amount                                                                                                                                                                                |
| fee                                                 | string  | Service Fee                                                                                                                                                                                   |
| beneficiary\_name                                   | string  | Beneficiary Name                                                                                                                                                                              |
| beneficiary\_id                                     | long    | Beneficiary ID                                                                                                                                                                                |
| reference                                           | string  | Reference                                                                                                                                                                                     |
| error\_message                                      | string  | Error Message                                                                                                                                                                                 |
| created\_at<mark style="color:red;">\*</mark>       | string  | <p>Create At,</p><p>Format: yyyy-MM-dd HH:mm:ss</p>                                                                                                                                           |

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/payment/create' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data":"jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38**  is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/payment/create-payment-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
